﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinSchedule;
using Infragistics.Win;
using Infragistics.Win.UltraWinSchedule.TimelineView;

namespace UltraTimeLineViewAppearance
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ultraCalendarInfo1.Owners.UnassignedOwner.Visible = false;
            

            for (int Count = 0; Count < 6; Count++) 
            {
                ultraCalendarInfo1.Owners.Add("Owner " + Count.ToString());
                Appointment app = new Appointment(DateTime.Today, DateTime.Today.AddDays(1));

                AppointmentRecurrence ap = new AppointmentRecurrence();
                ap.PatternFrequency = RecurrencePatternFrequency.Weekly;

                app.Recurrence = ap;
                app.Owner = ultraCalendarInfo1.Owners[Count];
                ultraCalendarInfo1.AllowRecurringAppointments = true;
                ultraCalendarInfo1.Appointments.Add(app);
            }
            ultraTimelineView1.CalendarInfo = ultraCalendarInfo1;
        }
    }
}
